require_relative "../lib/surbl_client"
require "test/unit"

class TestSurblClient < Test::Unit::TestCase
    def testPass
        surbl = SurblClient.new()
        domains = ["google.com", "yahoo.com", "apple.com"]
        domains.each do |domain|
            assert_equal(false, surbl.include?(domain))
            assert_nil(surbl.lookup(domain))
        end
    end

    def testSurblTestPoints
        surbl = SurblClient.new()
        domains = ["test.surbl.org", "surbl-org-permanent-test-point.com"]
        all = ['sc', 'ws', 'ph', 'ob', 'ab', 'jp']
        domains.each do |domain|
            subdomain = "foo.bar.baz.#{domain}"
            assert_equal(true, surbl.include?(domain))
            assert_equal(surbl.lookup(domain), [domain, all])
            assert_equal(true, surbl.include?(subdomain))
            assert_equal(surbl.lookup(subdomain), [domain, all])
        end
    end
end
